Rivet: Unbound functions for filtering jets

| Rivet 3.1.9

Functions
Unbound functions for filtering jets
Functions for Jets

## Functions
Jets & | Rivet::ifilter_select (Jets &jets, const Cut &c)
| Filter a jet collection in-place to the subset that passes the supplied Cut.
Jets & | Rivet::ifilterBy (Jets &jets, const Cut &c)
Jets & | Rivet::iselect (Jets &jets, const Cut &c)
| New alias for ifilter_select.
Jets | Rivet::filter_select (const Jets &jets, const Cut &c)
| Filter a jet collection in-place to the subset that passes the supplied Cut.
Jets | Rivet::filterBy (const Jets &jets, const Cut &c)
Jets | Rivet::select (const Jets &jets, const Cut &c)
| New alias for filter_select.
Jets | Rivet::filter_select (const Jets &jets, const Cut &c, Jets &out)
| Filter a jet collection in-place to the subset that passes the supplied Cut.
Jets | Rivet::filterBy (const Jets &jets, const Cut &c, Jets &out)
Jets | Rivet::select (const Jets &jets, const Cut &c, Jets &out)
| New alias for filter_select.
Jets & | Rivet::ifilter_discard (Jets &jets, const Cut &c)
| Filter a jet collection in-place to the subset that fails the supplied Cut.
Jets & | Rivet::idiscard (Jets &jets, const Cut &c)
| New alias for ifilter_discard.
Jets | Rivet::filter_discard (const Jets &jets, const Cut &c)
| Filter a jet collection in-place to the subset that fails the supplied Cut.
Jets | Rivet::discard (const Jets &jets, const Cut &c)
| New alias for filter_discard.
Jets | Rivet::filter_discard (const Jets &jets, const Cut &c, Jets &out)
| Filter a jet collection in-place to the subset that fails the supplied Cut.
Jets | Rivet::discard (const Jets &jets, const Cut &c, Jets &out)
| New alias for filter_discard.

## Detailed Description

## Function Documentation

## ◆ filterBy() [1/2]

Jets Rivet::filterBy | ( | const Jets & | jets,
|  | const Cut & | c
| ) |  |
| inline

Alias for filter_select

Deprecated:
  Use filter_select

References Rivet::filter_select().

## ◆ filterBy() [2/2]

Jets Rivet::filterBy | ( | const Jets & | jets,
|  | const Cut & | c,
|  | Jets & | out
| ) |  |
| inline

Alias for filter_select

Deprecated:
  Use filter_select

References Rivet::filter_select().

## ◆ ifilterBy()

Jets & Rivet::ifilterBy | ( | Jets & | jets,
|  | const Cut & | c
| ) |  |
| inline

Alias for ifilter_select

Deprecated:
  Use ifilter_select

References Rivet::ifilter_select().